package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.Catalogue;

/**
 * 目录Mapper接口
 * 
 * @author jy
 * @date 2022-11-11
 */
public interface CatalogueMapper 
{
    /**
     * 查询目录
     * 
     * @param id 目录主键
     * @return 目录
     */
    public Catalogue selectCatalogueById(Long id);

    /**
     * 查询目录列表
     * 
     * @param catalogue 目录
     * @return 目录集合
     */
    public List<Catalogue> selectCatalogueList(Catalogue catalogue);

    /**
     * 新增目录
     * 
     * @param catalogue 目录
     * @return 结果
     */
    public int insertCatalogue(Catalogue catalogue);

    /**
     * 修改目录
     * 
     * @param catalogue 目录
     * @return 结果
     */
    public int updateCatalogue(Catalogue catalogue);

    /**
     * 删除目录
     * 
     * @param id 目录主键
     * @return 结果
     */
    public int deleteCatalogueById(Long id);

    /**
     * 批量删除目录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCatalogueByIds(Long[] ids);
}
